Index: trunk/template/yoga/admin/permalinks.tpl
===================================================================
--- trunk/template/yoga/admin/permalinks.tpl	(revision 2222)
+++ trunk/template/yoga/admin/permalinks.tpl	(revision 2223)
@@ -1,72 +1,70 @@
-<!-- DEV TAG: not smarty migrated -->
+{* $Id$ *}
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{$U_HELP}" onclick="popuphelp(this.href); return false;" title="{'Help'|@translate}"><img src="{$themeconf.icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
-  <h2>{lang:Permalinks}</h2>
+  <h2>{'Permalinks'|@translate}</h2>
 </div>
 
-<form method="post" action="{F_ACTION}">
-<fieldset><legend>{lang:Add/delete a permalink}</legend>
-  <label>{lang:Category}:
+<form method="post" action="{$F_ACTION}">
+<fieldset><legend>{'Add/delete a permalink'|@translate}</legend>
+  <label>{'Category'|@translate}:
     <select name="cat_id">
       <option value="0">------</option>
-<!-- BEGIN categories -->
-      <option value="{categories.VALUE}" {categories.SELECTED}>{categories.OPTION}</option>
-<!-- END categories -->
+      {html_options options=$categories selected=$categories_selected}
     </select>
   </label>
 
-  <label>{lang:Permalink}:
+  <label>{'Permalink'|@translate}:
     <input name="permalink" />
   </label>
 
-  <label>{lang:Save to permalink history}:
+  <label>{'Save to permalink history'|@translate}:
     <input type="checkbox" name="save" checked="checked" />
   </label>
 
   <p>
-    <input type="submit" class="submit" name="set_permalink" value="{lang:submit}" {TAG_INPUT_ENABLED}/>
+    <input type="submit" class="submit" name="set_permalink" value="{'submit'|@translate}" {$TAG_INPUT_ENABLED}/>
   </p>
   </fieldset>
 </form>
 
-<h3>{lang:Permalinks}</h3>
+<h3>{'Permalinks'|@translate}</h3>
 <table class="table2">
   <tr class="throw">
-    <td>Id {SORT_ID}</td>
-    <td>{lang:Category} {SORT_NAME}</td>
-    <td>{lang:Permalink} {SORT_PERMALINK}</td>
+    <td>Id {$SORT_ID}</td>
+    <td>{'Category'|@translate} {$SORT_NAME}</td>
+    <td>{'Permalink'|@translate} {$SORT_PERMALINK}</td>
   </tr>
-<!-- BEGIN permalink -->
+{foreach from=$permalinks item=permalink}
   <tr>
-    <td>{permalink.id}</td>
-    <td>{permalink.name}</td>
-    <td>{permalink.permalink}</td>
+    <td>{$permalink.id}</td>
+    <td>{$permalink.name}</td>
+    <td>{$permalink.permalink}</td>
   </tr>
-<!-- END permalink -->
+{/foreach}
 </table>
 
-<h3>{lang:Permalink history} <a name="old_permalinks"></a></h3>
+<h3>{'Permalink history'|@translate} <a name="old_permalinks"></a></h3>
 <table class="table2">
   <tr class="throw">
-    <td>Id {SORT_OLD_CAT_ID}</td>
-    <td>{lang:Category}</td>
-    <td>{lang:Permalink} {SORT_OLD_PERMALINK}</td>
-    <td>Deleted on {SORT_OLD_DATE_DELETED}</td>
-    <td>Last hit {SORT_OLD_LAST_HIT}</td>
-    <td>Hit {SORT_OLD_HIT}</td>
+    <td>Id {$SORT_OLD_CAT_ID}</td>
+    <td>{'Category'|@translate}</td>
+    <td>{'Permalink'|@translate} {$SORT_OLD_PERMALINK}</td>
+    <td>Deleted on {$SORT_OLD_DATE_DELETED}</td>
+    <td>Last hit {$SORT_OLD_LAST_HIT}</td>
+    <td>Hit {$SORT_OLD_HIT}</td>
     <td></td>
   </tr>
-<!-- BEGIN deleted_permalink -->
+{foreach from=$deleted_permalinks item=permalink}
   <tr>
-    <td>{deleted_permalink.cat_id}</td>
-    <td>{deleted_permalink.name}</td>
-    <td>{deleted_permalink.permalink}</td>
-    <td>{deleted_permalink.date_deleted}</td>
-    <td>{deleted_permalink.last_hit}</td>
-    <td>{deleted_permalink.hit}</td>
-    <td><a href="{deleted_permalink.U_DELETE}" {TAG_INPUT_ENABLED}><img src="{pwg_root}{themeconf:icon_dir}/delete.png" alt="Delete"></a></td>
+    <td>{$permalink.cat_id}</td>
+    <td>{$permalink.name}</td>
+    <td>{$permalink.permalink}</td>
+    <td>{$permalink.date_deleted}</td>
+    <td>{$permalink.last_hit}</td>
+    <td>{$permalink.hit}</td>
+    <td><a href="{$permalink.U_DELETE}" {$TAG_INPUT_ENABLED}><img src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" alt="Delete"></a></td>
   </tr>
-<!-- END deleted_permalink -->
+{/foreach}
 </table>
